WinReg
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinReg

    java.lang.Object
      com.sun.jna.platform.win32.WinReg

    public abstract class WinReg

extends java.lang.Object

This module contains the function prototypes and constant, type and structure definitions for the Windows 32-Bit Registry API. Ported from WinReg.h.

Nested Class Summary
`static class` | `WinReg.HKEY`
`static class` | `WinReg.HKEYByReference`

Field Summary
`static WinReg.HKEY` | `HKEY_CLASSES_ROOT`
`static WinReg.HKEY` | `HKEY_CURRENT_CONFIG`
`static WinReg.HKEY` | `HKEY_CURRENT_USER`
`static WinReg.HKEY` | `HKEY_DYN_DATA`
`static WinReg.HKEY` | `HKEY_LOCAL_MACHINE`
`static WinReg.HKEY` | `HKEY_PERFORMANCE_DATA`
`static WinReg.HKEY` | `HKEY_PERFORMANCE_NLSTEXT`
`static WinReg.HKEY` | `HKEY_PERFORMANCE_TEXT`
`static WinReg.HKEY` | `HKEY_USERS`

Constructor Summary
`WinReg()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HKEY_CLASSES_ROOT

    public static final WinReg.HKEY HKEY_CLASSES_ROOT

### HKEY_CURRENT_USER

    public static final WinReg.HKEY HKEY_CURRENT_USER

### HKEY_LOCAL_MACHINE

    public static final WinReg.HKEY HKEY_LOCAL_MACHINE

### HKEY_USERS

    public static final WinReg.HKEY HKEY_USERS

### HKEY_PERFORMANCE_DATA

    public static final WinReg.HKEY HKEY_PERFORMANCE_DATA

### HKEY_PERFORMANCE_TEXT

    public static final WinReg.HKEY HKEY_PERFORMANCE_TEXT

### HKEY_PERFORMANCE_NLSTEXT

    public static final WinReg.HKEY HKEY_PERFORMANCE_NLSTEXT

### HKEY_CURRENT_CONFIG

    public static final WinReg.HKEY HKEY_CURRENT_CONFIG

### HKEY_DYN_DATA

    public static final WinReg.HKEY HKEY_DYN_DATA

Constructor Detail

### WinReg

    public WinReg()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD